> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# List proxies

GET http://127.0.0.1:58931/api/proxies

List saved proxies.

Response `data`: `{ list: Proxy[], total }`.

Reference: https://docs.flashid.app/api-reference/proxies/list-proxies

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/proxies:
    get:
      operationId: list-proxies
      summary: List proxies
      description: |-
        List saved proxies.

        Response `data`: `{ list: Proxy[], total }`.
      tags:
        - subpackage_proxies
      parameters:
        - name: page
          in: query
          description: '`number` Default `1`.'
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: '`number` Default `50`.'
          required: false
          schema:
            type: integer
        - name: keyword
          in: query
          description: '`string` `Optional` Search keyword.'
          required: false
          schema:
            type: string
        - name: tab
          in: query
          description: '`enum` Default `all`. `all` `official` `personal`.'
          required: false
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Proxies_List proxies_Response_200'
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiProxiesGetResponsesContentApplicationJsonSchemaDataListItems:
      type: object
      properties:
        remark:
          type: string
        source:
          type: string
        status:
          type: string
        proxy_ip:
          type: string
        expire_at:
          type: integer
        ipchecker:
          type: string
        created_at:
          type: integer
        proxy_city:
          type: string
        proxy_host:
          type: string
        proxy_pass:
          type: string
        proxy_port:
          type: string
        proxy_type:
          type: string
        proxy_user:
          type: string
        proxy_uuid:
          type: string
          format: uuid
        updated_at:
          type: integer
        refresh_url:
          type: string
        proxy_region:
          type: string
        profile_count:
          type: integer
        proxy_country:
          type: string
        auto_renew_enabled:
          type: boolean
        proxy_product_type:
          type: string
        proxy_ip_updated_time:
          type: integer
      required:
        - remark
        - source
        - status
        - proxy_ip
        - expire_at
        - ipchecker
        - created_at
        - proxy_city
        - proxy_host
        - proxy_pass
        - proxy_port
        - proxy_type
        - proxy_user
        - proxy_uuid
        - updated_at
        - refresh_url
        - proxy_region
        - profile_count
        - proxy_country
        - auto_renew_enabled
        - proxy_product_type
        - proxy_ip_updated_time
      title: ApiProxiesGetResponsesContentApplicationJsonSchemaDataListItems
    ApiProxiesGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        list:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiProxiesGetResponsesContentApplicationJsonSchemaDataListItems
        total:
          type: integer
      required:
        - list
        - total
      title: ApiProxiesGetResponsesContentApplicationJsonSchemaData
    Proxies_List proxies_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiProxiesGetResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Proxies_List proxies_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Response**

```json
{
  "code": 0,
  "data": {
    "list": [
      {
        "remark": "",
        "source": "personal",
        "status": "",
        "proxy_ip": "1.2.3.4",
        "expire_at": 0,
        "ipchecker": "ip2location",
        "created_at": 1779690768,
        "proxy_city": "pasadena",
        "proxy_host": "1.2.3.4",
        "proxy_pass": "pass",
        "proxy_port": "1337",
        "proxy_type": "socks5",
        "proxy_user": "user",
        "proxy_uuid": "019e95bb-cd6a-7a0c-b87a-c3efeec64c3f",
        "updated_at": 1779691397,
        "refresh_url": "",
        "proxy_region": "california",
        "profile_count": 1,
        "proxy_country": "us",
        "auto_renew_enabled": false,
        "proxy_product_type": "imported",
        "proxy_ip_updated_time": 1779691397
      }
    ],
    "total": 55
  },
  "success": true
}
```

**SDK Code**

```python Proxies_List proxies_example
import requests

url = "http://127.0.0.1:58931/api/proxies"

querystring = {"page":"1","page_size":"50","keyword":"","tab":"all"}

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Proxies_List proxies_example
const url = 'http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Proxies_List proxies_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Proxies_List proxies_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Proxies_List proxies_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php Proxies_List proxies_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Proxies_List proxies_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Proxies_List proxies_example
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/proxies?page=1&page_size=50&keyword=&tab=all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```